summaryrefslogtreecommitdiffstats
path: root/third_party/rust/rusqlite/publish-ghp-docs.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 14:29:10 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 14:29:10 +0000
commit2aa4a82499d4becd2284cdb482213d541b8804dd (patch)
treeb80bf8bf13c3766139fbacc530efd0dd9d54394c /third_party/rust/rusqlite/publish-ghp-docs.sh
parentInitial commit. (diff)
downloadfirefox-2aa4a82499d4becd2284cdb482213d541b8804dd.tar.xz
firefox-2aa4a82499d4becd2284cdb482213d541b8804dd.zip
Adding upstream version 86.0.1.upstream/86.0.1upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'third_party/rust/rusqlite/publish-ghp-docs.sh')
-rwxr-xr-xthird_party/rust/rusqlite/publish-ghp-docs.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/third_party/rust/rusqlite/publish-ghp-docs.sh b/third_party/rust/rusqlite/publish-ghp-docs.sh
new file mode 100755
index 0000000000..14f358a32f
--- /dev/null
+++ b/third_party/rust/rusqlite/publish-ghp-docs.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+git describe --exact-match --tags $(git log -n1 --pretty='%h') >/dev/null 2>&1
+if [[ $? != 0 ]]; then
+ echo "Should not publish tags from an untagged commit!"
+ exit 1
+fi
+
+cd $(git rev-parse --show-toplevel)
+rm -rf target/doc/
+rustup run nightly cargo doc --no-deps --features "backup blob chrono functions limits load_extension serde_json trace"
+echo '<meta http-equiv=refresh content=0;url=rusqlite/index.html>' > target/doc/index.html
+ghp-import target/doc
+git push origin gh-pages:gh-pages